summaryrefslogtreecommitdiffstats
path: root/tests/posix
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-12-29 13:05:06 -0500
committerTavian Barnes <tavianator@tavianator.com>2022-12-29 13:05:24 -0500
commitb6859d7a6f7e0b3a3cb70fa75e7e46998e8f0f03 (patch)
tree9545197e6eec2423d6df2a2244ed759d24e0d9bd /tests/posix
parent0040a91a6b3a192acfeec0ae1e24516b54ba872a (diff)
downloadbfs-b6859d7a6f7e0b3a3cb70fa75e7e46998e8f0f03.tar.xz
tests: Use bfs_sudo wrapper instead of testing $SUDO
Diffstat (limited to 'tests/posix')
-rw-r--r--tests/posix/L_xdev.sh5
-rw-r--r--tests/posix/type_bind_mount.sh5
-rw-r--r--tests/posix/xdev.sh5
3 files changed, 6 insertions, 9 deletions
diff --git a/tests/posix/L_xdev.sh b/tests/posix/L_xdev.sh
index 587c8bb..172ea23 100644
--- a/tests/posix/L_xdev.sh
+++ b/tests/posix/L_xdev.sh
@@ -1,11 +1,10 @@
-test "$SUDO" || skip
test "$UNAME" = "Darwin" && skip
clean_scratch
mkdir scratch/{foo,mnt}
-sudo mount -t tmpfs tmpfs scratch/mnt
-trap "sudo umount scratch/mnt" EXIT
+bfs_sudo mount -t tmpfs tmpfs scratch/mnt || skip
+trap "bfs_sudo umount scratch/mnt" EXIT
ln -s ../mnt scratch/foo/bar
"$XTOUCH" scratch/mnt/baz
diff --git a/tests/posix/type_bind_mount.sh b/tests/posix/type_bind_mount.sh
index 2d913db..c9a161d 100644
--- a/tests/posix/type_bind_mount.sh
+++ b/tests/posix/type_bind_mount.sh
@@ -1,10 +1,9 @@
-test "$SUDO" || skip
test "$UNAME" = "Linux" || skip
clean_scratch
"$XTOUCH" scratch/{file,null}
-sudo mount --bind /dev/null scratch/null
-trap "sudo umount scratch/null" EXIT
+bfs_sudo mount --bind /dev/null scratch/null || skip
+trap "bfs_sudo umount scratch/null" EXIT
bfs_diff scratch -type c
diff --git a/tests/posix/xdev.sh b/tests/posix/xdev.sh
index 9d21b14..33412bf 100644
--- a/tests/posix/xdev.sh
+++ b/tests/posix/xdev.sh
@@ -1,11 +1,10 @@
-test "$SUDO" || skip
test "$UNAME" = "Darwin" && skip
clean_scratch
mkdir scratch/{foo,mnt}
-sudo mount -t tmpfs tmpfs scratch/mnt
-trap "sudo umount scratch/mnt" EXIT
+bfs_sudo mount -t tmpfs tmpfs scratch/mnt || skip
+trap "bfs_sudo umount scratch/mnt" EXIT
"$XTOUCH" scratch/foo/bar scratch/mnt/baz